import { OnInit } from '@angular/core';
import { ToastrConfig, ToastrService } from 'ngx-toastr';
/**
 * <p>Alerts component based on <a href="https://github.com/scttcper/ngx-toastr" target="_blank">Ngx-toastr</a></p>
 * <p>Example of using:</p>
 * <pre>
 * <code><</code>cf-alerts #myAlerts<code>></code><code><</code><code>/</code>cf-alerts<code>></code>
 * </pre>
 */
export declare class CfAlertsComponent implements OnInit {
    toastrService: ToastrService;
    /**
     * Object of type ToastrConfig to be used in ToastrService
     */
    options: ToastrConfig;
    /**
     * Array for aech alert ID
     */
    private lastInserted;
    /**
     * Registering toastrService based on core ToastrService
     */
    constructor(toastrService: ToastrService);
    /**@hidden
     * Private function to show alerts based on given type
    * @param alert	alert data object
    * @param type	alert type. Can be: info, warn, error
     */
    ngxToastrShow(alert: any, type: any): any;
    /**
     * Function to show info alert
     * @param alert	alert data object
     */
    showMessage(alert: any): void;
    /**
     * Function to show warning alert
     * @param alert	alert data object
     */
    showWarning(alert: any): void;
    /**
     * Function to show error alert
     * @param alert	alert data object
     */
    showError(alert: any): void;
    /**
     * Function to clear all alerts
     */
    clearAll(): void;
    /**
     * Function to delete last alert
     */
    clearLast(): void;
    ngOnInit(): void;
}
